Summary: A basic Internet news reader.
Name: tin
Version: 1.4.4
Release: 4
Epoch: 2
License: distributable
Group: Applications/Internet
Source:  ftp://ftp.tin.org/pub/news/clients/tin/v1.4/tin-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Tin is a basic, easy to use Internet news reader.  Tin can read news
locally or remotely via an NNTP (Network News Transport Protocol)
server.

Install tin if you need a basic news reader.

%prep
%setup -q

%build
%configure --verbose \
	--with-libdir=/var/lib/news \
	--with-spooldir=/var/spool/news/articles \
	--with-metamail=/usr/bin/metamail \
	--enable-nntp \
	--enable-prototypes \
	--disable-echo \
	--disable-mime-strict-charset \
	--enable-color \
	--enable-ncurses \
	--enable-locale \
	--mandir=%{_mandir}

make clean
make build

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_PREFIX=$RPM_BUILD_ROOT

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/X11/applnk/Internet
cat > ${RPM_BUILD_ROOT}%{_sysconfdir}/X11/applnk/Internet/tin.desktop <<EOF
[Desktop Entry]
Name=Tin
Type=Application
Comment=Internet news reader
Exec=tin
Terminal=true
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README doc/
/usr/bin/tin
/usr/bin/rtin
%{_mandir}/man1/tin.1*
%config(missingok) %{_sysconfdir}/X11/applnk/Internet/tin.desktop

%changelog
* Thu Feb  1 2001 Preston Brown <pbrown@redhat.com>
- really fix #17241. Whoops.

* Wed Sep 06 2000 Preston Brown <pbrown@redhat.com>
- explicitly enable metamail support (#17241)

* Tue Aug 22 2000 Than Ngo <than@redhat.com>
- add applink file (Bug #16568)

* Mon Aug 07 2000 Preston Brown <pbrown@redhat.com>
- 1.4.4 fixes buffer overflow, memory leaks.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 02 2000 Preston Brown <pbrown@redhat.com>
- fix spooldir to be /var/spool/news/articles not /var/spool/news

* Fri Mar 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with current ncurses

* Thu Feb 17 2000 Preston Brown <pbrown@redhat.com>
- rebuild with new vi in the buildroots so it finds the right default editor

* Thu Feb 10 2000 Preston Brown <pbrown@redhat.com>
- bump epoch

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- upgrade to 1.4.2 (stable)

* Mon May 31 1999 Jeff Johnson <jbj@redhat.com>
- update to tinpre-1.4-19990517.
- fix libdir=/var/lib/news (#7).
- fix spooldir=/var/spool/news.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Tue Mar 09 1999 Preston Brown <pbrown@redhat.com>
- upgraded to latest dev version snapshot.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Dec 22 1998 Preston Brown <pbrown@redhat.com>
- upgraded again to latest snapshot.

* Fri Nov 06 1998 Preston Brown <pbrown@redhat.com>
- Alan is right; 1.22 is full of bugs and ANCIENT. Moved to latest tin.

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Jun 24 1998 Alan Cox <alan@redhat.com>
- turned on DONT_LOG_USER - get rid of the silly file in /tmp. We probably
  ought to move to a newer tin soon.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Mon Nov 3 1997 Erik Troan <ewt@redhat.com>
- hacked to use just termios, not a motley mix of termios and termio

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
